* Encoding: UTF-8.
* AR(1)-Modell fr die R-Matrix.

set seed = 5.
input program.
+ loop #i = 1 to 150.
-  compute gruppe = rnd(uniform(1)).
-  compute p0 = gruppe + normal(1.5).
-  compute t0 = 0.
-  compute t1 = 1.
-  compute t2 = 2.
-  compute t3 = 3.
-  compute e0 = normal(1).
-  compute e1 = 0.5*e0 + normal(0.866).
-  compute e2 = 0.5*e1 + normal(0.866).
-  compute e3 = 0.5*e2 + normal(0.866).
-  compute y0 = p0 + 0.4*t0 + e0.
-  compute y1 = p0 + 0.4*t1 + e1.
-  compute y2 = p0 + 0.4*t2 + e2.
-  compute y3 = p0 + 0.4*t3 + e3.
-  end case.
+ end loop.
+ end file.
end input program.
execute.

VARSTOCASES /ID = id
 /MAKE gruppe FROM gruppe gruppe gruppe gruppe
 /MAKE zeit FROM t0 to t3
 /MAKE y FROM y0 to y3
 /KEEP =
 /NULL = KEEP.

VARIABLE LEVEL zeit (SCALE).

mixed  y by gruppe with zeit
  /fixed = zeit gruppe
  /random intercept | subject(id)
  /repeated = zeit | subject(id) covtype(ar1)
  /print = r solution testcov.

* Vernachlssigung der AR(1)-Struktur.
mixed  y by gruppe with zeit
  /fixed = zeit gruppe
  /random intercept | subject(id)
  /print = r solution testcov.
