* Encoding: UTF-8.
* random-intercept - Modell und CS-Kovarianzstruktur.

set seed = 1.
input program.
+ loop #i = 1 to 150.
-  compute p0 = normal(1).
-  compute t0 = 0.
-  compute t1 = 1.
-  compute t2 = 2.
-  compute t3 = 3.
-  compute y0 = p0 + 0.4*t0 + normal(1).
-  compute y1 = p0 + 0.4*t1 + normal(1).
-  compute y2 = p0 + 0.4*t2 + normal(1).
-  compute y3 = p0 + 0.4*t3 + normal(1).
-  end case.
+ end loop.
+ end file.
end input program.
exe.

VARSTOCASES /ID = id
 /MAKE zeit FROM t0 to t3
 /MAKE y FROM y0 to y3
 /KEEP = p0
 /NULL = KEEP.

VARIABLE LEVEL zeit (SCALE).

* random-intercept - Modell.
mixed  y  with zeit
  /fixed = zeit
  /random intercept  | subject(id)
  /print = solution testcov.

* zusammengesetzt-symmetrische Kovarianzstruktur.
mixed  y  with zeit
  /fixed = zeit
  /repeated = zeit  | subject(id) covtype(cs)
  /print = solution testcov r.
