﻿* Encoding: UTF-8.

set seed = 4.

input program.
do repeat nr = 1 to 30/ wri = v0_1 to v0_30.
  compute wri = normal(0.5).
  leave wri.
end repeat.

do repeat nr = 1 to 30/ sec = sec1 to sec30.
  do if (nr <= 10).
     compute  sec = 1.
  else.
     compute  sec = 0.
  end if.
  leave sec.
end repeat.

vector v0 =  v0_1 to v0_30.
vector sec =  sec1 to sec30.

loop #j = 1 to 30.
  compute j = #j.
  leave j.
  compute u0j = normal(0.5).
  leave u0j.

 loop #k = 1 to 30.
   compute k = #k.
   leave k.
   compute v0k = v0(#k).
   compute sector = sec(#k).
   leave v0k.
   leave sector.
   * Gymnasien mit positivem Effekt nehmen aus Stadtteilen mit negativem Effekt nur 2 Schüler, aus Stadtteilen mit positivem Effekt hingegen 8 Schüler auf.
   loop #i = 1 to 5 - (u0j > 0)*3*(v0k < 0) + (u0j > 0)*3*(v0k > 0).
     compute y = 1 + 0.6*sector + u0j +  v0k + normal(1).
     end case.
   end loop.
 end loop.

end loop.
end file.
end input program.
execute.

formats j k sector (f2.0).

delete variables v0_1 to v0_30 sec1 to sec30.
VARIABLE LEVEL j, k (NOMINAL).

correlations u0j v0k.

mixed y with sector
  /fixed = sector
  /random = intercept | subject(j)
  /random = intercept | subject(k)
  /print = solution testcov.

* Zufallseffekt der Stadtteile ignorieren.
  mixed y with sector
  /fixed = sector
  /random = intercept | subject(j)
  /print = solution testcov.

* Intraklassenkorrelationen.
mixed y
  /random = intercept | subject(j)
  /random = intercept | subject(k)
  /print = solution testcov.

* Interaktion der gekreuzten Zufallseffekte.
mixed y with sector
  /fixed = sector
  /random = intercept | subject(j)
  /random = intercept | subject(k)
  /random = intercept | subject(j*k)
  /print = solution testcov.
